# OpenAPIClient-php

**Popis api pro synchronizaci** dat z Wordpress (*Mawis.eu*) na jednotlivé endpointy (*UR/MWP*) na které se budou odesílat data o **registrovaných a upravených uživatelích a provedených nákupech**. Adresy endpointů se nastavují v konfiguraci WordPress, viz administrační příručka.


## Installation & Usage

### Requirements

PHP 7.4 and later.
Should also work with PHP 8.0.

### Composer

To install the bindings via [Composer](https://getcomposer.org/), add the following to `composer.json`:

```json
{
  "repositories": [
    {
      "type": "vcs",
      "url": "https://github.com/wpify/mawis-api-php-sdk.git"
    }
  ],
  "require": {
    "wpify/mawis-api-php-sdk": "*@dev"
  }
}
```

Then run `composer install`

### Manual Installation

Download the files and include `autoload.php`:

```php
<?php
require_once('/path/to/OpenAPIClient-php/vendor/autoload.php');
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');




$apiInstance = new MawisApiClient\Api\DefaultApi(
    // If you want use custom http client, pass your client which implements `GuzzleHttp\ClientInterface`.
    // This is optional, `GuzzleHttp\Client` will be used as default.
    new GuzzleHttp\Client()
);
$confirm = new \MawisApiClient\Model\Confirm(); // \MawisApiClient\Model\Confirm

try {
    $apiInstance->confirmPost($confirm);
} catch (Exception $e) {
    echo 'Exception when calling DefaultApi->confirmPost: ', $e->getMessage(), PHP_EOL;
}

```

## API Endpoints

All URIs are relative to *https://virtserver.swaggerhub.com/HSRO/WEBAPI/1.0*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*DefaultApi* | [**confirmPost**](docs/Api/DefaultApi.md#confirmpost) | **POST** /confirm | Potvrzení registrace
*DefaultApi* | [**purchasePost**](docs/Api/DefaultApi.md#purchasepost) | **POST** /purchase | Odeslání objednávky
*DefaultApi* | [**userPost**](docs/Api/DefaultApi.md#userpost) | **POST** /user | Registrace uživatele
*DefaultApi* | [**usersIdPut**](docs/Api/DefaultApi.md#usersidput) | **PUT** /users/{id} | Editace uživatelem/Editace účtu správa vstupní bod

## Models

- [Confirm](docs/Model/Confirm.md)
- [Purchase](docs/Model/Purchase.md)
- [PurchaseOrder](docs/Model/PurchaseOrder.md)
- [PurchaseProductsInner](docs/Model/PurchaseProductsInner.md)
- [PurchaseUser](docs/Model/PurchaseUser.md)
- [SUBSTStateId](docs/Model/SUBSTStateId.md)
- [User](docs/Model/User.md)

## Authorization
All endpoints do not require authorization.
## Tests

To run the tests, use:

```bash
composer install
vendor/bin/phpunit
```

## Author



## About this package

This PHP package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: `1.0`
- Build package: `org.openapitools.codegen.languages.PhpClientCodegen`
